<?
require_header ('Онлайн');
echo "<div class='content'>";
echo "<div class='block'>";
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_user` WHERE `date_last` > '".(time()-600)."'"),0);
if ($k_post==0)
{
echo "Список пуст...";
}
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
$q=mysql_query("SELECT * FROM `kolhoz_user` WHERE `date_last` > '".(time()-600)."'".(isset($_GET['admin'])?" AND `kolhoz_user`.`status` > '0'":null)." ORDER by `level`DESC LIMIT $start, $set[p_str]");
echo "<ul>";
if($page==1)$i=1;else$i=($page-1)*$set['p_str']+1;
while($post=mysql_fetch_array($q))
{
echo "<li><span><span class='minor'>$i. </span>";
echo "".on_k($post['id'])."";
echo " <a class='' href='user/$post[id]'><span>".nc($post['id'])."</span></a> <span class='title'>$post[level]</span></span></li>";$i++;
}
echo "</ul>";
if ($k_page>1)str("?online".(isset($_GET['admin'])?"&admin":null)."&",$k_page,$page); // Вывод страниц
echo "<div class='pt'>".(isset($_GET['admin'])?"<a href='?online'>Все</a>":"<span>Все</span>")." | ".(isset($_GET['admin'])?"<span>Администрация</span>":"<a href='?online&admin'>Администрация</a>")."</div>";
echo "</div>";
include_once 'inc/foot.php';
?>